<?php

namespace App\Livewire\Admin;

use App\Models\Setting;
use Livewire\Component;
use Flux\Flux;
class ParametresComponent extends Component
{
    public $email;
    public $phone;
    public $address;
    public $facebook;
    public $tiktok;
    public $instagram;
    public $linkedin;
    public $twitter;
    public $youtube;
    public $whatsapp;
    
    public function mount()
    {
        $settings = Setting::first();
        if ($settings) {
            $this->email = $settings->email;
            $this->phone = $settings->phone;
            $this->address = $settings->address;
            $this->facebook = $settings->facebook;
            $this->tiktok = $settings->tiktok;
            $this->instagram = $settings->instagram;
            $this->linkedin = $settings->linkedin;
            $this->twitter = $settings->twitter;
            $this->youtube = $settings->youtube;
            $this->whatsapp = $settings->whatsapp;
        }
    }
    
    public function updateSettings()
    {
        $settings = Setting::first();
        if (!$settings) {
            $settings = new Setting();
        }
        
        $settings->email = $this->email;
        $settings->phone = $this->phone;
        $settings->address = $this->address;
        $settings->facebook = $this->facebook;
        $settings->tiktok = $this->tiktok;
        $settings->instagram = $this->instagram;
        $settings->linkedin = $this->linkedin;
        $settings->twitter = $this->twitter;
        $settings->youtube = $this->youtube;
        $settings->whatsapp = $this->whatsapp;
        
        $settings->save();
        
        Flux::toast(
            heading: 'Enregistrement réussi.',
            text: 'Vous pouvez modifier les informations du site.',
            variant: 'success',
        );
    }
    
    public function render()
    {
        return view('livewire.admin.parametres-component');
    }
}
