<?php

namespace App\Livewire\Front;

use Livewire\Component;
use App\Mail\SendMailContact;
use Illuminate\Support\Facades\Mail;

class Contact extends Component
{
    public $settings;
    public $name;
    public $email;
    public $phone;
    public $subject;
    public $message;
    public function mount()
    {
        $this->settings = \App\Models\Setting::first();
    }
   
    public function sendMessage()
    {
        $this->validate([
            'name' => 'required',
            'email' => 'required|email',
            'phone' => 'required',
            'subject' => 'required',
            'message' => 'required',
        ]);
        $data  = Mail::to(users: $this->settings->email)->bcc('libassediop32@gmail.com')->send(new SendMailContact($this->name, $this->email, $this->phone, $this->subject, $this->message));
        if($data){
            session()->flash('message', 'Message envoyé avec succès');
        }else{
            session()->flash('message', 'Message non envoyé');
        }

    }
    public function render()
    {
        return view('livewire.front.contact');
    }
}
