<?php

namespace App\Livewire\Front;

use Livewire\Component;
use App\Models\Bien;
use App\Models\Demande;

class DetailProperty extends Component
{
    public $slug;
    public $id;
    public $property;
    public $nom;
    public $telephone;
    public $email;
    public $message;
    public $type_demande;
    public function mount($slug, $id)
    {
        $this->slug = $slug;
        $this->id = $id;
        $this->property = Bien::with('images')->find($id);
        if (!$this->property) {
            abort(404);
        }
    }
    public function createDemande() {
        $this->validate([
            'nom' => 'required',
            'telephone' => 'required',
            'email' => 'nullable|email',
            'message' => 'required',
            'type_demande' => 'required',
        ]);
        Demande::create([
            'nom' => $this->nom,
            'telephone' => $this->telephone,
            'email' => $this->email,
            'message' => $this->message,
            'type_demande' => $this->type_demande,
            'bien_id' => $this->id,
        ]);
        $this->reset([
            'nom',
            'telephone',
            'email',
            'message',
        ]);
        session()->flash('message', 'Votre demande a été envoyée avec succès.');
    }
    public function render()
    {
        return view('livewire.front.detail-property',[
            'otherProperties' => Bien::with('images')->where('id', '!=', $this->id)->limit(3)->get()
        ]);
    }
}
