<?php

namespace App\Livewire\Front;

use App\Models\Bien;
use Livewire\Component;
use Livewire\Attributes\Url;
use Livewire\WithPagination;
class PropertiesList extends Component
{
    use WithPagination;
    #[Url]
    public $sortBy = 'created_at';
    #[Url]
    public $sortDirection = 'desc';
    #[Url]
    public $type_property = '';

    public function render()
    {
        $query = Bien::orderBy($this->sortBy, $this->sortDirection);
        if ($this->type_property) {
            $query->where('type', $this->type_property);
        }
        $biens = $query->paginate(10);
        return view('livewire.front.properties-list', compact('biens'));
    }

    public function sortsBy($field, $direction = 'desc')
    {
        $this->sortBy = $field;
        $this->sortDirection = $direction;
        dd($this->sortBy, $this->sortDirection);
    }
}
