<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('biens', function (Blueprint $table) {
            $table->id();
            $table->string('titre');
            $table->longText('description');
            $table->enum('type', ['appartement', 'villa', 'terrain']);
            $table->string('localisation');
            $table->decimal('prix', 10, 2);
            $table->integer('superficie')->nullable();
            $table->integer('nombre_pieces')->nullable();
            $table->integer('nombre_salles_bain')->nullable();
            $table->enum('statut', ['disponible', 'vendu']);
            $table->boolean('premium')->default(false);
            $table->foreignId('added_by');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('biens');
    }
};
