<?php

use App\Models\Bien;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Str;
return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('biens', function (Blueprint $table) {
            $table->string('slug')->nullable()->after('titre');
        });
        $biens = Bien::all();
        foreach ($biens as $bien) {
            $bien->slug = Str::slug($bien->titre);
            $bien->save();
        }
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('biens', function (Blueprint $table) {
            $table->dropColumn('slug');
        });
    }
};
