<div>
    <h2 class="text-2xl font-bold">Liste des demandes</h2>
    <div class="flex flex-row gap-4">
        <flux:card class="w-1/5">
            <flux:heading size="lg">Total des demandes</flux:heading>
            <flux:subheading class="text-xl text-right text-zinc-500">
                <b>{{ str_pad($total_demandes, 2, '0', STR_PAD_LEFT) }}</b>
            </flux:subheading>
        </flux:card>
        <flux:card class="w-1/5 !bg-yellow-100 text-white">
            <flux:heading size="lg" class="text-white"> En attente</flux:heading>
            <flux:subheading class="text-xl text-right text-white">
                <b>{{ str_pad($total_demandes_en_attente, 2, '0', STR_PAD_LEFT) }}</b>
            </flux:subheading>
        </flux:card>    
        <flux:card class="w-1/5 !bg-blue-100 text-white">
            <flux:heading size="lg" class="text-white"> En cours</flux:heading>
            <flux:subheading class="text-xl text-right text-white">
                <b>{{ str_pad($total_demandes_en_cours, 2, '0', STR_PAD_LEFT) }}</b>
            </flux:subheading>
        </flux:card>
        <flux:card class="w-1/5 !bg-teal-100 text-white">
            <flux:heading size="lg" class="text-white">Traitées</flux:heading>
            <flux:subheading class="text-xl text-right text-white">
                <b>{{ str_pad($total_demandes_traitées, 2, '0', STR_PAD_LEFT) }}</b>
            </flux:subheading>
        </flux:card>    
        <flux:card class="w-1/5 !bg-red-100 text-white">
            <flux:heading size="lg" class="text-white">Annulées</flux:heading>
            <flux:subheading class="text-xl text-right text-white">
                <b>{{ str_pad($total_demandes_annulées, 2, '0', STR_PAD_LEFT) }}</b>
            </flux:subheading>
        </flux:card>    
        
    </div>
    <div
        class="flex flex-column sm:flex-row flex-wrap space-y-4 sm:space-y-0 items-center justify-between pb-4 mb-4 mt-4">
        <label for="table-search" class="sr-only">Rechercher</label>
        <div class="relative">
            <div class="absolute inset-y-0 left-0 rtl:inset-r-0 rtl:right-0 flex items-center ps-3 pointer-events-none">
                <svg class="w-5 h-5 text-gray-500 dark:text-gray-400" aria-hidden="true" fill="currentColor"
                    viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z"
                        clip-rule="evenodd"></path>
                </svg>
            </div>
            <flux:input icon="magnifying-glass" placeholder="Rechercher une demande" wire:model.live="search" clearable />
        </div>
        {{-- <flux:button variant="primary" wire:click="openModal">Ajouter une demande</flux:button> --}}

    </div>
    <div class="shadow-md sm:rounded-lg relative overflow-x-auto p-4">

        <flux:table :paginate="$demandes">
            <flux:table.columns>
                <flux:table.column>Nom</flux:table.column>
                <flux:table.column>Email</flux:table.column>
                <flux:table.column>Téléphone</flux:table.column>
                <flux:table.column>Message</flux:table.column>
                <flux:table.column>Statut</flux:table.column>
                <flux:table.column>Date</flux:table.column>
                <flux:table.column>Action</flux:table.column>
            </flux:table.columns>

            <flux:table.rows>
                @foreach ($demandes as $demande)
                    <flux:table.row :key="$demande->id">
                        <flux:table.cell class="flex items-center gap-3">
                            {{ $demande->nom }}
                        </flux:table.cell>
                        <flux:table.cell>{{ $demande->email }}</flux:table.cell>
                        <flux:table.cell>{{ $demande->telephone }}</flux:table.cell>
                        <flux:table.cell>{{ $demande->message }}</flux:table.cell>
                        <flux:table.cell>
                            @php
                                $variant = 'yellow';
                                switch ($demande->statut) {
                                    case 'En attente':
                                        $variant = 'yellow';
                                        break;
                                    case 'En cours':
                                        $variant = 'blue';
                                        break;
                                    case 'Traitée':
                                        $variant = 'teal';
                                        break;
                                    case 'Annulée':
                                        $variant = 'danger';
                                        break;
                                }
                            @endphp
                            <flux:dropdown>
                                <flux:button  class=" text-white" variant="{{ $variant }}" icon-trailing="chevron-down">{{ $demande->statut }}</flux:button>

                                <flux:menu>
                                    <flux:menu.radio.group wire:model="demande->statut" wire:change="updateStatut({{ $demande->id }}, event.target.value)">
                                        <flux:menu.radio :checked="$demande->statut === 'En attente'">En attente</flux:menu.radio>
                                        <flux:menu.radio :checked="$demande->statut === 'En cours'">En cours</flux:menu.radio>
                                        <flux:menu.radio :checked="$demande->statut === 'Traitée'">Traitée</flux:menu.radio>
                                        <flux:menu.radio :checked="$demande->statut === 'Annulée'">Annulée</flux:menu.radio>
                                    </flux:menu.radio.group>
                                </flux:menu>
                            </flux:dropdown>
                        </flux:table.cell>
                        <flux:table.cell>{{ $demande->created_at->format('d/m/Y') }}</flux:table.cell>
                        <flux:table.cell>
                            <div class="flex gap-2">
                                <flux:button wire:click="openModalSuivi({{ $demande->id }})">Suivi</flux:button>
                                <flux:button variant="danger" wire:click="confirmDelete({{ $demande->id }})">
                                    <flux:icon name="trash" class="w-4 h-4" />
                                </flux:button>
                            </div>
                        </flux:table.cell>
                    </flux:table.row>
                @endforeach
            </flux:table.rows>
        </flux:table>
    </div>
    <flux:modal name="change-statut" class="min-w-[22rem]">
        <div class="space-y-6">
            <div>
                <flux:heading size="lg">Changer le statut de la demande?</flux:heading>

                <flux:subheading>
                    <p>Vous êtes sur le point de changer le statut de la demande.</p>
                </flux:subheading>
            </div>

            <div class="flex gap-2">
                <flux:spacer />

                <flux:modal.close>
                    <flux:button variant="ghost">Annuler</flux:button>
                </flux:modal.close>

                <flux:button type="submit" variant="primary" wire:click="changeStatut">Changer le statut</flux:button>
            </div>
        </div>
    </flux:modal>
    <flux:modal name="suivi-demande" class="max-w-[40rem] w-2/3" variant="flyout">
        <div class="space-y-6">
            <div>
                <flux:heading size="lg">Suivi de la demande</flux:heading>
            </div>
            <div>
                <flux:subheading>
                    <p>Historique des suivis</p>
                </flux:subheading>
                <div>
                    {{-- @if (!empty($suivisDemande) && $suivisDemande->count() > 0)
                        @foreach ($suivisDemande as $suivi)
                            <div>
                                <p>{{ $suivi->commentaire }}</p>
                            </div>
                        @endforeach
                    @else
                        <p>Aucune Historique</p>
                    @endif --}}
                    @if ($suivisDemande)

                        <ol class="relative border-s border-gray-200 dark:border-gray-700 mt-4">                  
                        @foreach ($suivisDemande->suivis as $suivi)
                        <li class="mb-10 ms-6">            
                            <span class="absolute flex items-center justify-center w-6 h-6 bg-blue-100 rounded-full -start-3 ring-8 ring-white dark:ring-gray-900 dark:bg-blue-900">
                                <flux:icon name="calendar" class="w-4 h-4" />
                            </span>
                            <h3 class="flex items-center mb-1 text-lg font-semibold text-gray-900 dark:text-white"> {{$suivi->user->name}} 
                                @php
                                    $variant = 'yellow';
                                    switch ($suivi->statut) {
                                        case 'En attente':
                                            $variant = 'yellow';
                                            break;
                                        case 'En cours':
                                            $variant = 'blue';
                                            break;
                                        case 'Traitée':
                                            $variant = 'teal';
                                            break;
                                        case 'Annulée':
                                            $variant = 'red';
                                            break;
                                    }
                                @endphp
                                <flux:badge color="{{ $variant }}" class="ms-3">{{ $suivi->statut }}</flux:badge>
                            </h3>
                            <time class="block mb-2 text-sm font-normal leading-none text-gray-400 dark:text-gray-500"> {{$suivi->created_at->format('d/m/Y H:i')}} </time>
                            
                            {!! $suivi->commentaire !!}
                            
                        </li>
                        @endforeach
                        </ol>
                    @endif
                </div>
            </div>
            <form wire:submit.prevent="saveSuivi">
                <flux:editor label="Commentaire" wire:model="itemSuivi.commentaire" />
                <flux:select variant="listbox" placeholder="Sélectionner le statut..." wire:model="itemSuivi.statut" class="mt-4">
                    <flux:select.option>
                        <div class="flex items-center gap-2">
                            <flux:icon.inbox-arrow-down variant="mini" class="text-zinc-400" /> En attente
                        </div>
                    </flux:select.option>
                
                    <flux:select.option>
                        <div class="flex items-center gap-2">
                            <flux:icon.arrows-right-left variant="mini" class="text-zinc-400" /> En cours
                        </div>
                    </flux:select.option>
                
                    <flux:select.option>
                        <div class="flex items-center gap-2">
                            <flux:icon.check-badge variant="mini" class="text-zinc-400" /> Traitée
                        </div>
                    </flux:select.option>
                
                    <flux:select.option>
                        <div class="flex items-center gap-2">
                            <flux:icon.x-circle variant="mini" class="text-zinc-400" /> Annulée
                        </div>
                    </flux:select.option>
                </flux:select>
                <flux:button type="submit" variant="primary" class="mt-4">Enregistrer</flux:button>
            </form>
        </div>
    </flux:modal>
</div>
