<div>
    <h2 class="text-2xl font-bold">Liste des FAQs</h2>

    <div
        class="flex flex-column sm:flex-row flex-wrap space-y-4 sm:space-y-0 items-center justify-between pb-4 mb-4 mt-4">
        <label for="table-search" class="sr-only">Rechercher</label>
        <div class="relative">
            <div class="absolute inset-y-0 left-0 rtl:inset-r-0 rtl:right-0 flex items-center ps-3 pointer-events-none">
                <svg class="w-5 h-5 text-gray-500 dark:text-gray-400" aria-hidden="true" fill="currentColor"
                    viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z"
                        clip-rule="evenodd"></path>
                </svg>
            </div>

            <flux:input icon="magnifying-glass" placeholder="Rechercher une FAQ" wire:model.live="search"
                clearable />

        </div>
        <flux:button variant="primary" wire:click="openModal">Ajouter une FAQ</flux:button>
    </div>
    <div class="shadow-md sm:rounded-lg relative overflow-x-auto p-4">

        <flux:table :paginate="$faqs">
            <flux:table.columns>
                <flux:table.column>Question</flux:table.column>
                <flux:table.column>Réponse</flux:table.column>
                <flux:table.column>Action</flux:table.column>
            </flux:table.columns>

            <flux:table.rows>
                @foreach ($faqs as $faq)
                    <flux:table.row :key="$faq->id">
                        <flux:table.cell class="flex items-center gap-3">
                            {{ $faq->question }}
                        </flux:table.cell>
                        <flux:table.cell>{{ \Illuminate\Support\Str::limit(strip_tags($faq->answer), 100, '...') }}</flux:table.cell>
                        <flux:table.cell>
                            <div class="flex gap-2">
                                <flux:button wire:click="openModal({{ $faq->id }})">Modifier</flux:button>
                                <flux:button variant="danger" wire:click="confirmDelete({{ $faq->id }})">
                                    <flux:icon name="trash" class="w-4 h-4" />
                                </flux:button>
                            </div>
                        </flux:table.cell>
                    </flux:table.row>
                @endforeach
            </flux:table.rows>
        </flux:table>
    </div>
    <flux:modal name="form-faq" class="w-2/3" flyout>
        <div class="space-y-6">
            <div>
                <flux:heading size="lg">
                    @if ($item->id)
                        Modifier une FAQ
                    @else
                        Ajouter une FAQ
                    @endif
                </flux:heading>
            </div>
            <form wire:submit.prevent="save">
                <div class="grid grid-cols-1 gap-4">
                    <div>
                        <flux:input label="Question" wire:model.live="item.question" placeholder="Votre question" />
                    </div>
                    <div>
                        <flux:editor label="Réponse" wire:model.live="item.answer" placeholder="Votre réponse" />
                    </div>
                </div>

                <div class="flex mt-4">
                    <flux:spacer />
                    <div class="flex gap-2">
                        <flux:button type="submit" variant="primary">Enregistrer les modifications</flux:button>
                        <flux:button type="button" variant="danger" x-on:click="$flux.modal('form-faq').close()">Annuler</flux:button>
                    </div>
                </div>
            </form>
        </div>
    </flux:modal>
</div>
