<div>
    <h2 class="text-2xl font-bold">Liste des utilisateurs</h2>

    <div
        class="flex flex-column sm:flex-row flex-wrap space-y-4 sm:space-y-0 items-center justify-between pb-4 mb-4 mt-4   ">
        <label for="table-search" class="sr-only">Search</label>
        <div class="relative">
            <div class="absolute inset-y-0 left-0 rtl:inset-r-0 rtl:right-0 flex items-center ps-3 pointer-events-none">
                <svg class="w-5 h-5 text-gray-500 dark:text-gray-400" aria-hidden="true" fill="currentColor"
                    viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z"
                        clip-rule="evenodd"></path>
                </svg>
            </div>

            <flux:input icon="magnifying-glass" placeholder="Rechercher un utilisateur" wire:model.live="search"
                clearable />

        </div>
        <flux:button variant="primary" wire:click="openModal">Ajouter un utilisateur</flux:button>


    </div>
    <div class="shadow-md sm:rounded-lg relative overflow-x-auto p-4">

        <flux:table :paginate="$users">
            <flux:table.columns>
                <flux:table.column>Nom d'utilisateur</flux:table.column>
                <flux:table.column>Email</flux:table.column>
                <flux:table.column>Rôle</flux:table.column>
                <flux:table.column>Téléphone</flux:table.column>
                <flux:table.column>Action</flux:table.column>
            </flux:table.columns>

            <flux:table.rows>
                @foreach ($users as $user)
                    <flux:table.row :key="$user->id">
                        <flux:table.cell class="flex items-center gap-3">
                            {{ $user->name }}
                        </flux:table.cell>
                        <flux:table.cell>{{ $user->email }}</flux:table.cell>
                        <flux:table.cell>{{ $user->role }}</flux:table.cell>
                        <flux:table.cell>{{ $user->phone }}</flux:table.cell>
                        <flux:table.cell>
                            <flux:button wire:click="openModal({{ $user->id }})">Modifier</flux:button>
                        </flux:table.cell>
                    </flux:table.row>
                @endforeach
            </flux:table.rows>
        </flux:table>
    </div>
    <flux:modal name="images-bien" class="max-w-[120rem] w-2/3" variant="flyout">
        <div class="space-y-6">
            <div>
                <flux:heading size="lg">
                    @if ($item->id)
                        Modifier un utilisateur
                    @else
                        Ajouter un utilisateur
                    @endif
                </flux:heading>


            </div>
            <form wire:submit.prevent="save">
                <div class="grid grid-cols-2 gap-4">
                    <div>
                        <flux:input label="Nom" wire:model.live="item.name" placeholder="Votre nom" />
                    </div>
                    <div>
                        <flux:input label="Email" wire:model.live="item.email" placeholder="Votre email" />
                    </div>
                    <div>
                        <flux:input label="Mot de passe" type="password" wire:model.live="password"
                            placeholder="Votre mot de passe" />
                    </div>
                    <div>
                        <flux:input label="Confirmation du mot de passe" type="password"
                            wire:model.live="password_confirmation" placeholder="Confirmez votre mot de passe" />
                    </div>
                    <div>
                        <flux:input label="Téléphone" wire:model.live="item.phone"
                            placeholder="Votre numéro de téléphone" />
                    </div>
                    <div>
                        <flux:select variant="listbox" placeholder="Sélectionnez un rôle..." wire:model.live="item.role">
                            <flux:select.option value="admin">
                                <div class="flex items-center gap-2">
                                    <flux:icon.shield-check variant="mini" class="text-zinc-400" /> Administrateur
                                </div>
                            </flux:select.option>



                            <flux:select.option value="user">
                                <div class="flex items-center gap-2">
                                    <flux:icon.user variant="mini" class="text-zinc-400" /> Employé
                                </div>
                            </flux:select.option>
                        </flux:select>
                    </div>
                </div>

                <div class="flex mt-4">
                    <flux:spacer />
                    <div class="flex gap-2">
                        <flux:button type="submit" variant="primary">Enregistrer les modifications</flux:button>
                        <flux:button type="button" variant="danger" x-on:click="$flux.modal('form-user').close()">Annuler</flux:button>
                    </div>
                </div>
            </form>
        </div>
    </flux:modal>
</div>
