<?php

use Illuminate\Support\Facades\Route;
use Livewire\Volt\Volt;

Route::get('/', function () {
    return view('home');
})->name('home');

Route::view('dashboard', 'dashboard')
    ->middleware(['auth', 'verified'])
    ->name('dashboard');
Route::group(['middleware' => ['auth', 'verified']], function () {
    Route::view('/users', 'admin-pages.users')->name('users');
    Route::view('/biens', 'admin-pages.biens')->name('biens');
    Route::view('/demandes', 'admin-pages.demandes')->name('demandes');
    Route::view('/faqs', 'admin-pages.faqs')->name('faqs');
    Route::view('/testimonials', 'admin-pages.testimonials')->name('testimonials');
    Route::view('/parametres', 'admin-pages.parametres')->name('parametres');
    Route::view('/projets', 'admin-pages.projets')->name('projets');
});

Route::middleware(['auth'])->group(function () {
    Route::redirect('settings', 'settings/profile');

    Volt::route('settings/profile', 'settings.profile')->name('settings.profile');
    Volt::route('settings/password', 'settings.password')->name('settings.password');
    Volt::route('settings/appearance', 'settings.appearance')->name('settings.appearance');
});
Route::view('/property/{slug}/{id}', 'details-property')->name('front.property.show');
Route::view('/about', 'about-us')->name('about');
Route::view('/nos-biens-immobiliers', 'biens')->name('properties');
Route::view('/contact', 'contact')->name('contact');

require __DIR__.'/auth.php';
