<!DOCTYPE html>
<?php
    $settings = \App\Models\Setting::first();
?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr-FR" lang="fr-FR">


<head>
    <meta charset="utf-8">
    <title>ImmoHouse - Agence Immobilière à Saly</title>
    <meta name="keywords" content="HTML, CSS, JavaScript, Bootstrap">
    <meta name="description" content="Agence Immobilière à Saly - ImmoHouse">
    <meta name="author" content="themesflat.com">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

    <!-- font -->
    <link rel="stylesheet" href="<?php echo e(asset('front-assets/fonts/fonts.css')); ?>">
    <!-- Icons -->
    <link rel="stylesheet" href="<?php echo e(asset('front-assets/fonts/font-icons.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('front-assets/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('front-assets/css/swiper-bundle.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('front-assets/css/animate.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('front-assets/css/styles.css')); ?>" />

    <!-- Favicon and Touch Icons  -->
    <link rel="shortcut icon" href="<?php echo e(asset('front-assets/images/logo/favicon.png')); ?>">
    <link rel="apple-touch-icon-precomposed" href="<?php echo e(asset('front-assets/images/logo/favicon.png')); ?>">
    <style>
        .swiper-wrapper{
            justify-content: center;
        }
    </style>

</head>

<body class="body">
    <?php
        $navItems = [
            [
                'name' => 'Accueil',
                'route_name' => 'home',
            ],
            [
                'name' => 'A propos',
                'route_name' => 'about',
            ],
            [
                'name' => 'Nos biens',
                'route_name' => 'properties',
            ],
            [
                'name' => 'Nous contacter',
                'route_name' => 'contact',
            ],
        ];
    ?>
    <!-- RTL -->
   
   <!-- /RTL  -->

    <!-- preload -->
    <div class="preload preload-container">
        <div class="preload-logo">
            <div class="spinner"></div>
            <span class="icon icon-villa-fill"></span>
        </div>
    </div>
    <!-- /preload -->

    <div id="wrapper">
        <div id="pagee" class="clearfix">

            <!-- Main Header -->
            <?php if(Route::is('home')): ?>
            <header id="header" class="main-header header-fixed fixed-header header-style-2">
                <!-- Header Lower -->
                <div class="header-lower">
                    <div class="row">                      
                        <div class="col-lg-12">         
                            <div class="inner-header">
                                <div class="inner-header-left">
                                    <div class="logo-box flex">
                                        <div class="logo">
                                            <a href="<?php echo e(route('home')); ?>">
                                            <img id="trans-logo" src="front-assets/images/logo/logo-white.png" alt="logo" width="166" height="48">
                                        </a>
                                        </div>
                                    </div>
                                    <div class="nav-outer flex align-center">
                                            <!-- Main Menu -->
                                            <nav class="main-menu show navbar-expand-md">
                                                <div class="navbar-collapse collapse clearfix" id="navbarSupportedContent">
                                                    <ul class="navigation clearfix">
                                                        <?php $__currentLoopData = $navItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <li class="<?php echo e(request()->routeIs($item['route_name']) ? 'current' : 'no'); ?>"><a href="<?php echo e(route($item['route_name'])); ?>"><?php echo e($item['name']); ?></a></li>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        
                                                    </ul>
                                                </div>
                                            </nav>
                                            <!-- Main Menu End-->
                                    </div>
                                </div>
                                <div class="inner-header-right header-account">
                                        
                                        <a  href="tel:<?php echo e(trim($settings->phone, ' ')); ?>" data-bs-toggle="modal" class="tf-btn btn-line btn-login">
                                            <span class="icon icon-phone2 mr-2" style="margin-right: 10px;"></span> 

                                            <?php echo e($settings->phone); ?>

                                        </a>
                                        <a  href="mailto:<?php echo e(trim($settings->email, ' ')); ?>" data-bs-toggle="modal" class="tf-btn btn-line btn-login">
                                            <span class="icon icon-mail mr-2" style="margin-right: 10px;"></span> 

                                            <?php echo e($settings->email); ?>

                                        </a>
                                        
                                </div>
                                    
                                <div class="mobile-nav-toggler mobile-button"><span></span></div>
                                    
                            </div>
                        </div>
                    </div>
                </div>
                <!-- End Header Lower -->
            
                <!-- Mobile Menu  -->
                <div class="close-btn"><span class="icon flaticon-cancel-1"></span></div>    
                <div class="mobile-menu">
                    <div class="menu-backdrop"></div>                            
                    <nav class="menu-box">
                        <div class="nav-logo"><a href="<?php echo e(route('home')); ?>"><img src="<?php echo e(asset('front-assets/images/logo/logo%402x.png')); ?>" alt="nav-logo" width="174" height="44"></a></div>
                        <div class="bottom-canvas">
                            <div class="login-box flex align-center">
                                <a href="#modalLogin" data-bs-toggle="modal">Se connecter</a>
                                <span>/</span>
                                <a href="#modalRegister" data-bs-toggle="modal">S'inscrire</a>
                            </div>
                            <div class="menu-outer"></div>
                            <div class="button-mobi-sell">
                                <a class="tf-btn primary" href="add-property.html">Ajouter un bien</a>
                            </div> 
                            <div class="mobi-icon-box">
                                <div class="box d-flex align-items-center">
                                    <span class="icon icon-phone2"></span>
                                    <div>+221 77 444 33 33</div>
                                </div>
                                <div class="box d-flex align-items-center">
                                    <span class="icon icon-mail"></span>
                                    <div>contact@immohouse.sn</div>
                                </div>
                            </div>
                        </div>
                    </nav>                
                </div>
                <!-- End Mobile Menu -->
            
            </header>
            <?php else: ?>
            <header class="main-header fixed-header">
                <!-- Header Lower -->
                <div class="header-lower">
                    <div class="row">                      
                        <div class="col-lg-12">         
                            <div class="inner-header">
                                <div class="inner-header-left">
                                    <div class="logo-box flex">
                                        <div class="logo"><a href="<?php echo e(route('home')); ?>">
                                            <img id="trans-logo" src="front-assets/images/logo/logo-white.png" alt="logo" width="166" height="48">
                                        </a></div>
                                    </div>
                                    <div class="nav-outer flex align-center">
                                         <!-- Main Menu -->
                                         <nav class="main-menu show navbar-expand-md">
                                            <div class="navbar-collapse collapse clearfix" id="navbarSupportedContent">
                                                <ul class="navigation clearfix">
                                                    <?php $__currentLoopData = $navItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <li class="<?php echo e(request()->routeIs($item['route_name']) ? 'current' : 'no'); ?>"><a href="<?php echo e(route($item['route_name'])); ?>"><?php echo e($item['name']); ?></a></li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    
                                                </ul>
                                            </div>
                                        </nav>
                                        <!-- Main Menu End-->
                                    </div>
                                </div>
                                <div class="inner-header-right header-account" style="font-size: 18px;">
                                        <a  href="tel:<?php echo e(trim($settings->phone, ' ')); ?>" data-bs-toggle="modal" class="tf-btn btn-line btn-login">
                                            <span class="icon icon-phone2 mr-2" style="margin-right: 10px;"></span> 

                                            <?php echo e($settings->phone); ?>

                                        </a>
                                        <a  href="mailto:<?php echo e(trim($settings->email, ' ')); ?>" data-bs-toggle="modal" class="tf-btn btn-line btn-login">
                                            <span class="icon icon-mail mr-2" style="margin-right: 10px;"></span> 

                                            <?php echo e($settings->email); ?>

                                        </a>
                                </div>
                                    
                                <div class="mobile-nav-toggler mobile-button"><span></span></div>
                                    
                            </div>
                        </div>
                    </div>
                </div>
                <!-- End Header Lower -->
            
                <!-- Mobile Menu  -->
                <div class="close-btn"><span class="icon flaticon-cancel-1"></span></div>    
                <div class="mobile-menu">
                    <div class="menu-backdrop"></div>                            
                    <nav class="menu-box">
                        <div class="nav-logo"><a href="<?php echo e(route('home')); ?>"><img src="images/logo/logo%402x.png" alt="nav-logo" width="174" height="44"></a></div>
                        <div class="bottom-canvas">
                           
                            <div class="menu-outer">
                                            <div class="navbar-collapse collapse clearfix" id="navbarSupportedContent">
                                                <ul class="navigation clearfix">
                                                   
                                                </ul>
                                            </div>
                                        </div>
                            
                            <div class="mobi-icon-box">
                                <div class="box d-flex align-items-center">
                                    <span class="icon icon-phone2"></span>
                                    <div>1-333-345-6868</div>
                                </div>
                                <div class="box d-flex align-items-center">
                                    <span class="icon icon-mail"></span>
                                    <div>themesflat@gmail.com</div>
                                </div>
                            </div>
                        </div>
                    </nav>                
                </div>
                <!-- End Mobile Menu -->
            </header>
            <?php endif; ?>
            <!-- End Main Header -->
            <?php echo e($slot); ?>

            <footer class="footer">
                <div class="top-footer">
                  <div class="container">
                    <div class="content-footer-top">
                        <div class="footer-logo"><a href="<?php echo e(route('home')); ?>"><img src="<?php echo e(asset('front-assets/images/logo/logo-white.png')); ?>" alt="logo" width="166" height="48"></a></div>
                        <div class="wd-social">
                          <span>Suivez-nous:</span>
                          <ul class="list-social d-flex align-items-center">
                            <?php if($settings->facebook): ?>
                            <li>
                                <a href="<?php echo e($settings->facebook); ?>" target="_blank" class="box-icon w-40 social">
                                    <svg class="icon" width="9" height="16" viewBox="0 0 9 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path d="M7.60547 9L8.00541 6.10437H5.50481V4.22531C5.50481 3.43313 5.85413 2.66094 6.97406 2.66094H8.11087V0.195625C8.11087 0.195625 7.07925 0 6.09291 0C4.03359 0 2.68753 1.38688 2.68753 3.8975V6.10437H0.398438V9H2.68753V16H5.50481V9H7.60547Z" fill="white"/>
                                    </svg>
                                </a>
                            </li>
                            <?php endif; ?>
                            <?php if($settings->linkedin): ?>
                            <li>
                                <a href="<?php echo e($settings->linkedin); ?>" target="_blank" class="box-icon w-40 social">
                                    <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M3.58151 16H0.264292V5.31762H3.58151V16ZM1.92111 3.86044C0.860376 3.86044 0 2.98185 0 1.92111C7.59231e-09 1.4116 0.202403 0.92296 0.562681 0.562681C0.92296 0.202403 1.4116 0 1.92111 0C2.43063 0 2.91927 0.202403 3.27955 0.562681C3.63983 0.92296 3.84223 1.4116 3.84223 1.92111C3.84223 2.98185 2.98149 3.86044 1.92111 3.86044ZM15.9968 16H12.6867V10.7999C12.6867 9.56057 12.6617 7.97125 10.962 7.97125C9.23735 7.97125 8.97306 9.31771 8.97306 10.7106V16H5.65941V5.31762H8.84091V6.77479H8.88734C9.33021 5.93549 10.412 5.04976 12.026 5.04976C15.3832 5.04976 16.0004 7.26052 16.0004 10.132V16H15.9968Z" fill="white"/>
                                </svg>
                                    
                            </a></li>
                            <?php endif; ?>
                            <?php if($settings->twitter): ?>
                            <li><a href="<?php echo e($settings->twitter); ?>" target="_blank" class="box-icon w-40 social">
                                <svg width="14" height="14" viewBox="0 0 14 14" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M8.30314 5.92804L13.4029 0H12.1944L7.7663 5.14724L4.22958 0H0.150391L5.4986 7.78354L0.150391 14H1.35894L6.03514 8.56434L9.77017 14H13.8494L8.30284 5.92804H8.30314ZM6.64787 7.85211L6.10598 7.07705L1.79439 0.909771H3.65065L7.13015 5.88696L7.67204 6.66202L12.195 13.1316H10.3387L6.64787 7.85241V7.85211Z" fill="white"/>
                                </svg>
                                    
                            </a></li>
                            <?php endif; ?>
                            <?php if($settings->linkedin): ?>
                            <li><a href="<?php echo e($settings->linkedin); ?>" target="_blank" class="box-icon w-40 social">
                                <svg width="13" height="16" viewBox="0 0 13 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M6.53967 0C3.2506 0 0 2.19271 0 5.74145C0 7.99827 1.26947 9.28056 2.03884 9.28056C2.3562 9.28056 2.53893 8.39578 2.53893 8.14574C2.53893 7.8476 1.77918 7.21287 1.77918 5.97226C1.77918 3.39486 3.74108 1.5676 6.28001 1.5676C8.4631 1.5676 10.0788 2.80821 10.0788 5.08748C10.0788 6.78972 9.39597 9.98261 7.18402 9.98261C6.3858 9.98261 5.70298 9.40558 5.70298 8.57851C5.70298 7.36675 6.54929 6.19345 6.54929 4.94322C6.54929 2.82103 3.53912 3.20572 3.53912 5.7703C3.53912 6.30886 3.60644 6.90512 3.84686 7.3956C3.40448 9.2998 2.50046 12.1369 2.50046 14.0988C2.50046 14.7046 2.58702 15.3009 2.64472 15.9068C2.75371 16.0286 2.69922 16.0158 2.86591 15.9549C4.4816 13.7429 4.42389 13.3102 5.1548 10.4154C5.5491 11.1655 6.56852 11.5694 7.37636 11.5694C10.7808 11.5694 12.31 8.25152 12.31 5.26059C12.31 2.07731 9.55946 0 6.53967 0Z" fill="white"/>
                                </svg>
                                    
                            </a></li>
                            <?php endif; ?>
                            <?php if($settings->instagram): ?>
                            <li><a href="<?php echo e($settings->instagram); ?>" target="_blank" class="box-icon w-40 social">
                                <svg width="14" height="14" viewBox="0 0 14 14" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M6.99812 4.66567C5.71277 4.66567 4.66383 5.71463 4.66383 7C4.66383 8.28537 5.71277 9.33433 6.99812 9.33433C8.28346 9.33433 9.3324 8.28537 9.3324 7C9.3324 5.71463 8.28346 4.66567 6.99812 4.66567ZM13.9992 7C13.9992 6.03335 14.008 5.07545 13.9537 4.11055C13.8994 2.98979 13.6437 1.99512 12.8242 1.17556C12.0029 0.35426 11.01 0.100338 9.88927 0.0460516C8.92263 -0.00823506 7.96475 0.000520879 6.99987 0.000520879C6.03323 0.000520879 5.07536 -0.00823506 4.11047 0.0460516C2.98973 0.100338 1.99508 0.356011 1.17554 1.17556C0.354253 1.99687 0.100336 2.98979 0.0460508 4.11055C-0.00823491 5.0772 0.00052087 6.0351 0.00052087 7C0.00052087 7.9649 -0.00823491 8.92455 0.0460508 9.88945C0.100336 11.0102 0.356004 12.0049 1.17554 12.8244C1.99683 13.6457 2.98973 13.8997 4.11047 13.9539C5.07711 14.0082 6.03499 13.9995 6.99987 13.9995C7.9665 13.9995 8.92438 14.0082 9.88927 13.9539C11.01 13.8997 12.0047 13.644 12.8242 12.8244C13.6455 12.0031 13.8994 11.0102 13.9537 9.88945C14.0097 8.92455 13.9992 7.96665 13.9992 7ZM6.99812 10.5917C5.01056 10.5917 3.40651 8.98759 3.40651 7C3.40651 5.01241 5.01056 3.40832 6.99812 3.40832C8.98567 3.40832 10.5897 5.01241 10.5897 7C10.5897 8.98759 8.98567 10.5917 6.99812 10.5917ZM10.7368 4.10004C10.2728 4.10004 9.89802 3.72529 9.89802 3.26122C9.89802 2.79716 10.2728 2.42241 10.7368 2.42241C11.2009 2.42241 11.5756 2.79716 11.5756 3.26122C11.5758 3.37142 11.5542 3.48056 11.5121 3.58239C11.47 3.68422 11.4082 3.77675 11.3303 3.85467C11.2523 3.93258 11.1598 3.99437 11.058 4.03647C10.9562 4.07858 10.847 4.10018 10.7368 4.10004Z" fill="white"/>
                                </svg>
                                    
                            </a></li>
                            <?php endif; ?>
                            <?php if($settings->youtube): ?>
                            <li><a href="<?php echo e($settings->youtube); ?>" target="_blank" class="box-icon w-40 social">
                                <svg width="16" height="12" viewBox="0 0 16 12" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M15.6657 1.76024C15.4817 1.06737 14.9395 0.521689 14.2511 0.336504C13.0033 0 8 0 8 0C8 0 2.99669 0 1.7489 0.336504C1.06052 0.521718 0.518349 1.06737 0.334336 1.76024C0 3.01611 0 5.63636 0 5.63636C0 5.63636 0 8.25661 0.334336 9.51248C0.518349 10.2053 1.06052 10.7283 1.7489 10.9135C2.99669 11.25 8 11.25 8 11.25C8 11.25 13.0033 11.25 14.2511 10.9135C14.9395 10.7283 15.4817 10.2053 15.6657 9.51248C16 8.25661 16 5.63636 16 5.63636C16 5.63636 16 3.01611 15.6657 1.76024ZM6.36363 8.01535V3.25737L10.5454 5.63642L6.36363 8.01535Z" fill="white"/>
                                </svg>
                                    
                            </a></li>
                            <?php endif; ?>
                          </ul>
                        </div>
                    </div>
                  </div>
                </div>
                <div class="inner-footer">
                  <div class="container">
                    <div class="row">
                      <div class="col-lg-4 col-md-6">
                        <div class="footer-cl-1">
                          <p class="text-variant-2">Spécialisé dans la fourniture de biens immobiliers haut de gamme pour ceux qui en ont besoin. Contactez-nous</p>
                          <ul class="mt-12">
                            <li class="mt-12 d-flex align-items-center gap-8">
                                <i class="icon icon-mapPinLine fs-20 text-variant-2"></i>
                                <p class="text-white"><?php echo e($settings->address); ?></p>
                            </li>
                            <li class="mt-12 d-flex align-items-center gap-8">
                                <i class="icon icon-phone2 fs-20 text-variant-2"></i>
                                <a href="tel:<?php echo e(trim($settings->phone, ' ')); ?>" class="text-white caption-1"><?php echo e($settings->phone); ?></a>
                            </li>
                            <li class="mt-12 d-flex align-items-center gap-8">
                                <i class="icon icon-mail fs-20 text-variant-2"></i>
                                <a href="mailto:<?php echo e($settings->email); ?>" class="text-white caption-1"><?php echo e($settings->email); ?></a>
                            </li>
                          </ul>
                        </div>
                      </div>
                      <div class="col-lg-2 col-md-6">
                        <div class="footer-cl-2 footer-col-block">
                            <div class="fw-7 text-white footer-heading-mobile">Categories</div>
                            <div class="tf-collapse-content">
                                <ul class="mt-10 navigation-menu-footer">
                                    <li> <a href="<?php echo e(route('properties')); ?>" class="caption-1 text-variant-2">Tous les biens</a> </li>
    
                                    <li> <a href="<?php echo e(route('properties')); ?>?type=appartement" class="caption-1 text-variant-2">Appartements</a> </li>
    
                                    <li> <a href="<?php echo e(route('properties')); ?>?type=villa" class="caption-1 text-variant-2">Villas</a> </li>
    
                                    <li> <a href="<?php echo e(route('properties')); ?>?type=terrain" class="caption-1 text-variant-2">Terrain</a> </li>
                                </ul>
                            </div>
                            
                        </div>
                      </div>
                      <div class="col-lg-2 col-md-6">
                        <div class="footer-cl-3 footer-col-block">
                            <div class="fw-7 text-white footer-heading-mobile">Nos Activités</div>
                            <div class="tf-collapse-content">
                                <ul class="mt-10 navigation-menu-footer">
                                    <li> <a href="<?php echo e(route('contact')); ?>" class="caption-1 text-variant-2">Contactez-nous</a> </li>
                                    <li> <a href="<?php echo e(route('about')); ?>" class="caption-1 text-variant-2">A Propos</a> </li>
                                    <li> <a href="<?php echo e(route('contact')); ?>" class="caption-1 text-variant-2">Contactez-nous</a> </li>
                                </ul>
                            </div>
                            
                        </div>
                      </div>
                      <div class="col-lg-4 col-md-6">
                        <div class="footer-cl-4 footer-col-block">
                            <div class="fw-7 text-white footer-heading-mobile">Contactez-nous</div>
                            <div class="tf-collapse-content">
                                <p class="mt-12 text-variant-2">Contactez-nous pour toute demande de service ou de conseil</p>
                                <a href="<?php echo e(route('contact')); ?>" class="box-icon social mt-12" style="border-radius: 10px; padding: 10px 20px;  color: #fff; text-decoration: none;">Contactez-nous</a>
                            </div>
                        </div>
                      </div>
                      
                    </div>
                  </div>
                </div>
                <div class="bottom-footer">
                  <div class="container">
                    <div class="content-footer-bottom">
                        <div class="copyright">©<?php echo e(date('Y')); ?> by  Web Master Agency. Tous droits réservés.</div>
                          
                        <ul class="menu-bottom">
                          <li><a href="#">Conditions d'utilisation</a> </li>

                          <li><a href="#">Politique de confidentialité</a> </li>
                          <li><a href="#">Politique de cookies</a> </li>

                        </ul>
                    </div>
                  </div>
                </div>
            </footer>
            <!-- end footer -->


        </div>
        <!-- /#page -->

    </div>



    <!-- go top -->
    <div class="progress-wrap">
        <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
        <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" style="transition: stroke-dashoffset 10ms linear 0s; stroke-dasharray: 307.919, 307.919; stroke-dashoffset: 286.138;"></path>
        </svg>
    </div>

   <!-- popup login -->
   <div class="modal modal-account fade" id="modalLogin">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="flat-account">
                <div class="banner-account">
                    <img src="<?php echo e(asset('front-assets/images/banner/banner-account1.jpg')); ?>" alt="banner">
                </div>
                <form class="form-account">
                    <div class="title-box">
                        <h4>Login</h4>
                        <span class="close-modal icon-close2" data-bs-dismiss="modal"></span>
                    </div>
                    <div class="box">
                        <fieldset class="box-fieldset">
                            <label>Account</label>
                            <div class="ip-field">
                                <svg class="icon" width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M13.4869 14.0435C12.9628 13.3497 12.2848 12.787 11.5063 12.3998C10.7277 12.0126 9.86989 11.8115 9.00038 11.8123C8.13086 11.8115 7.27304 12.0126 6.49449 12.3998C5.71594 12.787 5.03793 13.3497 4.51388 14.0435M13.4869 14.0435C14.5095 13.1339 15.2307 11.9349 15.5563 10.6056C15.8818 9.27625 15.7956 7.87934 15.309 6.60014C14.8224 5.32093 13.9584 4.21986 12.8317 3.44295C11.7049 2.66604 10.3686 2.25 9 2.25C7.63137 2.25 6.29508 2.66604 5.16833 3.44295C4.04158 4.21986 3.17762 5.32093 2.69103 6.60014C2.20443 7.87934 2.11819 9.27625 2.44374 10.6056C2.76929 11.9349 3.49125 13.1339 4.51388 14.0435M13.4869 14.0435C12.2524 15.1447 10.6546 15.7521 9.00038 15.7498C7.3459 15.7523 5.74855 15.1448 4.51388 14.0435M11.2504 7.31228C11.2504 7.90902 11.0133 8.48131 10.5914 8.90327C10.1694 9.32523 9.59711 9.56228 9.00038 9.56228C8.40364 9.56228 7.83134 9.32523 7.40939 8.90327C6.98743 8.48131 6.75038 7.90902 6.75038 7.31228C6.75038 6.71554 6.98743 6.14325 7.40939 5.72129C7.83134 5.29933 8.40364 5.06228 9.00038 5.06228C9.59711 5.06228 10.1694 5.29933 10.5914 5.72129C11.0133 6.14325 11.2504 6.71554 11.2504 7.31228Z" stroke="#A3ABB0" stroke-linecap="round" stroke-linejoin="round"/>
                                </svg>
                                <input type="text" class="form-control" placeholder="Your name">   
                            </div>
                        </fieldset>
                        <fieldset class="box-fieldset">
                            <label>Password</label>
                            <div class="ip-field">
                                <svg class="icon" width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path d="M12.375 7.875V5.0625C12.375 4.16739 12.0194 3.30895 11.3865 2.67601C10.7535 2.04308 9.89511 1.6875 9 1.6875C8.10489 1.6875 7.24645 2.04308 6.61351 2.67601C5.98058 3.30895 5.625 4.16739 5.625 5.0625V7.875M5.0625 16.3125H12.9375C13.3851 16.3125 13.8143 16.1347 14.1307 15.8182C14.4472 15.5018 14.625 15.0726 14.625 14.625V9.5625C14.625 9.11495 14.4472 8.68573 14.1307 8.36926C13.8143 8.05279 13.3851 7.875 12.9375 7.875H5.0625C4.61495 7.875 4.18573 8.05279 3.86926 8.36926C3.55279 8.68573 3.375 9.11495 3.375 9.5625V14.625C3.375 15.0726 3.55279 15.5018 3.86926 15.8182C4.18573 16.1347 4.61495 16.3125 5.0625 16.3125Z" stroke="#A3ABB0" stroke-linecap="round" stroke-linejoin="round"/>
                                </svg>
                                <input type="text" class="form-control" placeholder="Your password">   
                            </div>
                            <div class="text-forgot text-end"><a href="#">Forgot password</a></div>

                        </fieldset>
                    </div>
                    <div class="box box-btn">
                        <a href="dashboard.html" class="tf-btn primary w-100">Login</a>
                        <div class="text text-center">Don’t you have an account? <a href="#modalRegister" data-bs-toggle="modal" class="text-primary">Register</a></div>
                    </div>
                    <p class="box text-center caption-2">or login with</p>
                    <div class="group-btn">
                        <a href="#" class="btn-social">
                            <img src="<?php echo e(asset('front-assets/images/logo/google.jpg')); ?>" alt="img">
                            Google
                        </a>
                        <a href="#" class="btn-social">
                            <img src="<?php echo e(asset('front-assets/images/logo/fb.jpg')); ?>" alt="img">
                            Facebook
                        </a>
                        
                    </div>
                </form>
               
              
            </div>
        </div> 
    </div>
    </div>
    <!-- popup register -->
    <div class="modal modal-account fade" id="modalRegister">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="flat-account">
                    <div class="banner-account">
                        <img src="<?php echo e(asset('front-assets/images/banner/banner-account2.jpg')); ?>" alt="banner">
                    </div>
                    <form class="form-account">
                        <div class="title-box">
                            <h4>Register</h4>
                            <span class="close-modal icon-close2" data-bs-dismiss="modal"></span>
                        </div>
                        <div class="box">
                            <fieldset class="box-fieldset">
                                <label>User name</label>
                                <div class="ip-field">
                                    <svg class="icon" width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path d="M13.4869 14.0435C12.9628 13.3497 12.2848 12.787 11.5063 12.3998C10.7277 12.0126 9.86989 11.8115 9.00038 11.8123C8.13086 11.8115 7.27304 12.0126 6.49449 12.3998C5.71594 12.787 5.03793 13.3497 4.51388 14.0435M13.4869 14.0435C14.5095 13.1339 15.2307 11.9349 15.5563 10.6056C15.8818 9.27625 15.7956 7.87934 15.309 6.60014C14.8224 5.32093 13.9584 4.21986 12.8317 3.44295C11.7049 2.66604 10.3686 2.25 9 2.25C7.63137 2.25 6.29508 2.66604 5.16833 3.44295C4.04158 4.21986 3.17762 5.32093 2.69103 6.60014C2.20443 7.87934 2.11819 9.27625 2.44374 10.6056C2.76929 11.9349 3.49125 13.1339 4.51388 14.0435M13.4869 14.0435C12.2524 15.1447 10.6546 15.7521 9.00038 15.7498C7.3459 15.7523 5.74855 15.1448 4.51388 14.0435M11.2504 7.31228C11.2504 7.90902 11.0133 8.48131 10.5914 8.90327C10.1694 9.32523 9.59711 9.56228 9.00038 9.56228C8.40364 9.56228 7.83134 9.32523 7.40939 8.90327C6.98743 8.48131 6.75038 7.90902 6.75038 7.31228C6.75038 6.71554 6.98743 6.14325 7.40939 5.72129C7.83134 5.29933 8.40364 5.06228 9.00038 5.06228C9.59711 5.06228 10.1694 5.29933 10.5914 5.72129C11.0133 6.14325 11.2504 6.71554 11.2504 7.31228Z" stroke="#A3ABB0" stroke-linecap="round" stroke-linejoin="round"/>
                                    </svg>
                                    <input type="text" class="form-control" placeholder="User name">   
                                </div>
                            </fieldset>
                            <fieldset class="box-fieldset">
                                <label>Email address</label>
                                <div class="ip-field">
                                    <svg class="icon" width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path d="M16.3125 5.0625V12.9375C16.3125 13.3851 16.1347 13.8143 15.8182 14.1307C15.5018 14.4472 15.0726 14.625 14.625 14.625H3.375C2.92745 14.625 2.49822 14.4472 2.18176 14.1307C1.86529 13.8143 1.6875 13.3851 1.6875 12.9375V5.0625M16.3125 5.0625C16.3125 4.61495 16.1347 4.18573 15.8182 3.86926C15.5018 3.55279 15.0726 3.375 14.625 3.375H3.375C2.92745 3.375 2.49822 3.55279 2.18176 3.86926C1.86529 4.18573 1.6875 4.61495 1.6875 5.0625M16.3125 5.0625V5.24475C16.3125 5.53286 16.2388 5.81618 16.0983 6.06772C15.9578 6.31926 15.7553 6.53065 15.51 6.68175L9.885 10.143C9.61891 10.3069 9.31252 10.3937 9 10.3937C8.68748 10.3937 8.38109 10.3069 8.115 10.143L2.49 6.6825C2.24469 6.5314 2.04215 6.32001 1.90168 6.06847C1.7612 5.81693 1.68747 5.53361 1.6875 5.2455V5.0625" stroke="#A3ABB0" stroke-linecap="round" stroke-linejoin="round"/>
                                    </svg>
                                    
                                    <input type="text" class="form-control" placeholder="Email address">   
                                </div>

                            </fieldset>
                            <fieldset class="box-fieldset">
                                <label>Password</label>
                                <div class="ip-field">
                                    <svg class="icon" width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path d="M12.375 7.875V5.0625C12.375 4.16739 12.0194 3.30895 11.3865 2.67601C10.7535 2.04308 9.89511 1.6875 9 1.6875C8.10489 1.6875 7.24645 2.04308 6.61351 2.67601C5.98058 3.30895 5.625 4.16739 5.625 5.0625V7.875M5.0625 16.3125H12.9375C13.3851 16.3125 13.8143 16.1347 14.1307 15.8182C14.4472 15.5018 14.625 15.0726 14.625 14.625V9.5625C14.625 9.11495 14.4472 8.68573 14.1307 8.36926C13.8143 8.05279 13.3851 7.875 12.9375 7.875H5.0625C4.61495 7.875 4.18573 8.05279 3.86926 8.36926C3.55279 8.68573 3.375 9.11495 3.375 9.5625V14.625C3.375 15.0726 3.55279 15.5018 3.86926 15.8182C4.18573 16.1347 4.61495 16.3125 5.0625 16.3125Z" stroke="#A3ABB0" stroke-linecap="round" stroke-linejoin="round"/>
                                    </svg>
                                    <input type="password" class="form-control" placeholder="Your password">   
                                </div>
                            </fieldset>
                            <fieldset class="box-fieldset">
                                <label>Confirm password</label>
                                <div class="ip-field">
                                    <svg class="icon" width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path d="M12.375 7.875V5.0625C12.375 4.16739 12.0194 3.30895 11.3865 2.67601C10.7535 2.04308 9.89511 1.6875 9 1.6875C8.10489 1.6875 7.24645 2.04308 6.61351 2.67601C5.98058 3.30895 5.625 4.16739 5.625 5.0625V7.875M5.0625 16.3125H12.9375C13.3851 16.3125 13.8143 16.1347 14.1307 15.8182C14.4472 15.5018 14.625 15.0726 14.625 14.625V9.5625C14.625 9.11495 14.4472 8.68573 14.1307 8.36926C13.8143 8.05279 13.3851 7.875 12.9375 7.875H5.0625C4.61495 7.875 4.18573 8.05279 3.86926 8.36926C3.55279 8.68573 3.375 9.11495 3.375 9.5625V14.625C3.375 15.0726 3.55279 15.5018 3.86926 15.8182C4.18573 16.1347 4.61495 16.3125 5.0625 16.3125Z" stroke="#A3ABB0" stroke-linecap="round" stroke-linejoin="round"/>
                                    </svg>
                                    <input type="password" class="form-control" placeholder="Confirm password">   
                                </div>
                            </fieldset>
                        </div>
                        <div class="box box-btn">
                            <a href="dashboard.html" class="tf-btn primary w-100">Sign Up</a>
                            <div class="text text-center">Don’t you have an account? <a href="#modalLogin" data-bs-toggle="modal" class="text-primary">Sign In</a></div>
                        </div>
                        <p class="box text-center caption-2">or login with</p>
                        <div class="group-btn">
                            <a href="#" class="btn-social">
                                <img src="<?php echo e(asset('front-assets/images/logo/google.jpg')); ?>" alt="img">
                                Google
                            </a>
                            <a href="#" class="btn-social">
                                <img src="<?php echo e(asset('front-assets/images/logo/fb.jpg')); ?>" alt="img">
                                Facebook
                            </a>
                            
                        </div>
                    </form>
                
                
                </div>
            </div> 
        </div>
    </div>

    <!-- Javascript -->
    <script type="text/javascript" src="<?php echo e(asset('front-assets/js/bootstrap.min.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('front-assets/js/jquery.min.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('front-assets/js/swiper-bundle.min.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('front-assets/js/carousel.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('front-assets/js/plugin.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('front-assets/js/jquery.nice-select.min.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('front-assets/js/rangle-slider.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('front-assets/js/shortcodes.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('front-assets/js/animation_heading.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('front-assets/js/main.js')); ?>"></script>

</body>


<!-- Mirrored from homelengohtml.vercel.app/home-05.html by HTTrack Website Copier/3.x [XR&CO'2014], Sat, 01 Mar 2025 20:16:07 GMT -->
</html><?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/immohouse/resources/views/components/layouts/front-layout.blade.php ENDPATH**/ ?>